Bug 728235 - Confusing error when configuration file has a typo
Confusing error when configuration file has a typo
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
6.1
All All
low Severity low
: rc
: 6.3
Assigned To: Jakub Jelen
BaseOS QE Security Team
: EasyFix, FutureFeature, Patch
Depends On:
Blocks: 750571 1022479
  Show dependency treegraph
 
Reported: 2011-08-04 09:29 EDT by Pavel Moravec
Modified: 2016-06-13 10:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1022479 (view as bug list)
Environment:
Last Closed: 2016-06-13 10:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (1.82 KB, patch)
2011-08-04 09:37 EDT, Pavel Moravec
no flags Details | Diff

  None (edit)
Description Pavel Moravec 2011-08-04 09:29:26 EDT
Description of problem:
When a configuration file has a typo (like missing colon in line "mech_list plain"), sasl library returns SASL_FAIL "generic failure" error. That error is too much generic, saying nothing what was wrong. It is requested to return some more specific error.

Version-Release number of selected component (if applicable):
any

How reproducible:
100%

Steps to Reproduce:
1. Introduce a typo in application's config. file. Particular example of the typo is line:
mech_list plain
that misses colon.
2. Run the application with that config.file, forcing it to initialise SASL library.
3. Check received output.
  
Actual results:
SASL_FAIL(-1): "generic failure" is returned.

Expected results:
Something more specific to be returned. I.e.:
SASL_CONFIGERR(-29): "error when parsing configuration file"

Additional info:
internal RFE, patch to be proposed
Comment 1 Pavel Moravec 2011-08-04 09:37:51 EDT
Created attachment 516707 [details]
Proposed patch
Comment 3 RHEL Product and Program Management 2011-08-04 10:08:06 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 5 Suzanne Yeghiayan 2012-01-31 16:17:20 EST
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.
Comment 6 RHEL Product and Program Management 2012-07-10 01:54:17 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2012-07-10 19:11:33 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 RHEL Product and Program Management 2013-10-13 21:02:31 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 9 Jakub Jelen 2015-03-10 10:10:09 EDT
This issue should be fixed in upstream to maintain compatibility. In Fedora it is fixed since 2013:
http://pkgs.fedoraproject.org/cgit/cyrus-sasl.git/commit/?id=21e60e40c23f562c8382820d13aed6e6b8f90b05
but this is applicable for RHEL systems

I will propose it to upstream and refer back with results. Looks like running into configuration issue is pretty common here.
Comment 10 Jakub Jelen 2015-10-15 04:51:16 EDT
This patch was finally fixed upstream in

https://cgit.cyrus.foundation/cyrus-sasl/commit/?id=740d6cf9a58d597e6e15d970eaa105650ada6f99

so if we will update cyrus-sasl, we can also fix this one.
Comment 11 Jakub Jelen 2016-06-13 10:22:32 EDT
When Red Hat shipped 6.8 on May 10, 2016 RHEL 6 entered Production Phase 2.
https://access.redhat.com/support/policy/updates/errata#Production_2_Phase
That means only "Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released". Additionally, this issue has been resolved in Red Hat Enterprise Linux 7 which is still in Production Phase 1. Please consider upgrading to RHEL 7 where less than critical bugs, hardware enablement and feature requests can be addressed. Please re-open this Bugzilla if it is production impacting and critical for the customer and provide a thorough business justification.

Note You need to log in before you can comment on or make changes to this bug.